package app20a.listener;

import java.util.Date;
import javax.servlet.http.HttpSession;
import javax.servlet.http.HttpSessionEvent;
import javax.servlet.http.HttpSessionListener;

public class SessionListener implements HttpSessionListener {
	public void sessionCreated (HttpSessionEvent se) {
    HttpSession session = se.getSession();
  	System.out.println("Creating Session. Session id: " + session.getId() + " " + 
      new Date(session.getCreationTime()));
   	}

  public void sessionDestroyed (HttpSessionEvent se) {
    HttpSession session = se.getSession();
  	System.out.println("Destroying Session. Session id:" + session.getId()); 
	}
}
